package nl.reeven.van.test.jsf;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.AbortProcessingException;
import org.primefaces.event.FileUploadEvent;
import org.primefaces.event.FileUploadListener;

/**
 *
 *
 * @author Wouter van Reeven ($$Author$$)
 * @version $$Revision$$, $$Date$$
 */
@ManagedBean(name = "fileUploadController")
@RequestScoped
public class FileUploadController implements FileUploadListener {
    @Override
    public void processFileUpload(FileUploadEvent event) throws AbortProcessingException {
        System.out.println("Uploaded: " + event.getFile().getFileName());
        FacesMessage msg = new FacesMessage("Succesful", event.getFile().getFileName() + " is uploaded.");
        FacesContext.getCurrentInstance().addMessage(null, msg);
    }
}
